// JScript 文件

/*取得二级类别列表
  参数sid即一级类别编号,参数obj即需要绑定二级类别的DropDownList的ID.
  注册的Ajax方法,注册的时候加命名空间了,引用的时候也要加.
  一般Ajax方法传入的参数是字符串.取得返回值的形式是.value.
  这里对下拉框的清除是.length=0;
  用js遍历DataTable的方法.for循环.
  这里v.Rows.TypeID2注意要和对应的SQL查询语句对照.
*/
function showNext(sid,obj)
{ 
    if(sid==null || sid=="" || sid.length<1)return;
    var slt=getById(obj);
    var v=AjaxServer.GetNextClass.GetClass(sid).value; 

    if(v != null && typeof(v) == "object" && v != null)
	{		
        slt.length = 0;
        slt.options.add(new Option("二级类别",0));			
	    for(var i=0; i<v.Rows.length; i++)
	    {
		    var txt = v.Rows[i].type_2name; //这个地方需要注意区分大小写
		    var vol = v.Rows[i].TypeID2; 
		    slt.options.add(new Option(txt,vol));
	    }
    }	
    mark();//同时要设置二级为空.
	return;
}
//新闻
function showNewNext(sid,obj)
{ 
    if(sid==null || sid=="" || sid.length<1)return;
    var slt=getById(obj);
    var v=AjaxServer.GetNextClass.GetNewClass(sid).value; 

    if(v != null && typeof(v) == "object" && v != null)
	{		
        slt.length = 0;
        slt.options.add(new Option("二级类别",0));			
	    for(var i=0; i<v.Rows.length; i++)
	    {
		    var txt = v.Rows[i].Class_2name; //这个地方需要注意区分大小写
		    var vol = v.Rows[i].ClassID_2; 
		    slt.options.add(new Option(txt,vol));
	    }
    }	
    mark();//同时要设置二级为空.
	return;
}
/*设置二级类别
  根据下拉框取得的值,设置HideField的值.
*/
function setClass(sid,obj)
{ 
    if(sid==null || sid=="" || sid.length<1)return;
    var hf=getById(obj);
    hf.value=sid;
    //mark();
	return;
}

function type_1ddl(source,args)
{
    var type_1 = getById("<%=ddl1.ClientID %>");
    args.IsValid = type_1.selectedIndex == 0 ? false : true;
}
//设置标记,如果客户端改变的话.
function mark()
{
    var hd=getById('HF1');
    hd.value='0';
}